PDA

View Full Version : Getting OS4 to work with Mediator



cugar124
18th March 2012, 17:24
Hi Guys
OK in need of help with setting up OS4 I have the os running but cant get the Mediator to run or any of the card do I need to load the Mediator Disk?

Al:thumbsup:

fitzsteve
18th March 2012, 17:51
Mediator is supported native in OS4.1, no drivers needed. (make sure your jumpers are set correct, have a read of the OS4.1 Classic FAQ (http://forum.hyperion-entertainment.biz/viewtopic.php?f=15&t=92&p=6282))

You should be picking the correct graphics card during the install procedure, I suggest a Radeon 9250 for the best results :cool:

Otherwise any hardware should show up automatically such as sound cards in the AHI settings.

The only thing you need to install is the USB stack if you have USB.

All the best,

Steve.

cugar124
18th March 2012, 21:20
Hi Steve
Only thing is its OS4.0 I can see the selection for the network card but it refuses to work.

I received the boxed version from rakiem with the boot floppy and cd plus manual only problem is he lost the register code so he was not able to register it.

Not sure what to do at this stage have to admit even with only AGA support it looks amazing.


AL

drbrain
18th March 2012, 21:33
Personally I would get OS4.1 as it is so much better, it's almost like a completely new OS compared to OS4.0... All Mediator stuff just works out of the box (not the DMA-hack)...

There's an update (AmigaOS_4.0_Feburary2008_update.lha) on Hyperions homepage... needs the registration code though.
It includes fixes for Mediator systems..


This is a service release. It fixes a few outstanding issues of the first Classic release:
1. The kernel has been updated. Among other things, this fixes the graphics glitches that have been
observed with Mediator 1200/Voodoo combinations, and should now work with all known Mediator
models. A bug that previously rendered the CachePreDMA and CachePostDMA system calls unusable
has been fixed as well.
In addition, the kernel now supports the new Mediator TX models.
2. A bug in Intuition and Layers has been fixed that produced graphics trash on some rare occasions.
3. Queue-Handler's ACTION_WAIT_CHAR packet has been fixed.
4. Two AREXX libraries that have been missing in the Classic Release have been added.
5. The RealTek 8029 driver now includes a bugfix that cures a deadlock problem.
6. A new version of DvPlayer.

cugar124
18th March 2012, 21:47
Cool Rakiem is trying to sort the update for me at the min really hoping he can get if for me.

I am thinking I will buy the 4.1 version later in the year when I have the spare cash still need two items to complete my A1200 project and I have one of those reserved so once I get the internal scandoubler I will have my perfect Amiga Yay:nod::nod::nod::nod:

D.B
18th March 2012, 22:09
Hi Steve
Only thing is its OS4.0 I can see the selection for the network card but it refuses to work.

I received the boxed version from rakiem with the boot floppy and cd plus manual only problem is he lost the register code so he was not able to register it.

Not sure what to do at this stage have to admit even with only AGA support it looks amazing.


AL

Do you have a PCI Video Card installed? (Voodoo/ATI)

The NIC will not work without any Graphics card RAM to buffer to.

If you have & PCI Graphics card all set up and you have all the latest Elbox updates in place, still leaving you dead in the water RE NIC, then you probably need a MACH Chip upgrade from Elbox.

Be sure to Email the Serial # of the Product you want support for. :thumbsup:

fitzsteve
18th March 2012, 22:51
I have the updates, pm me your email addy :-)
Mozilla/5.0 (Linux; U; Android 2.3.5; en-gb; HTC_DesireHD Build/GRJ90) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1

---------- Post added at 22:51 ---------- Previous post was at 22:50 ----------

I remember now, voodoo don't work till you do the update...
Mozilla/5.0 (Linux; U; Android 2.3.5; en-gb; HTC_DesireHD Build/GRJ90) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1

drbrain
19th March 2012, 06:37
Don't install any of Elbox updates or drivers..
All you need is included with the OS. Installing Elbox drivers could work though if you want to do some serious experimentation, but it could also get really messy as they are not made for OS4.x and conflicts with the internal OS4.x drivers.

Oh, and the supported PCI cards are rather limited as the DMA-hack isn't supported by OS4.x. So only RTL8029 NICs are supported, no 10/100MBit cards and the SB128 isn't supported either.

Compatibility lists
http://acube-systems.biz/compatibility/index.php
http://www.hd-zone.com/

cugar124
21st March 2012, 07:52
HI Guys
Yep still having trouble she will boot after first install then I do the update and suddenly no harddrive activity. I always cold boot her and give her time to restart but nothing.

Starting to wonder if my LT4 is the problem.

I have the Voodoo 3 3000 in and my SB128 also the NIC but even using the same driver as I would for my OS3.9 setup still no joy.(Selecting the FastEthernet.device in new connections)

:Doh:

Al

fitzsteve
21st March 2012, 09:22
The SB128 isn't supported by OS4 (You need an ESS Solo1 based card), the only PCI NIC supported is Realtek 8039AS and you need to set this up with OS4's Networking wizard.

cugar124
21st March 2012, 20:14
OH well it's back to OS3.9 and a wait for OS 4.1 :Doh: LOL at least I had a try.

drbrain
21st March 2012, 21:32
Maybe this works with OS4.0 as well..
http://www.hd-zone.com/2011/06/using-a-soundblaster-128-in-amigaos-4-x-classic/

Well, as I said eariler it may be good to wait for OS4.1 as it it so much more usefull.
OS4.0 on Classic is, uhm.. let's say not very fun to use compared to OS4.1.

cugar124
24th March 2012, 12:23
Not sure if this is a clue or not I ran the sysinfo and it shows the Elbox board but no pci cards anyone any idea's on that?

fitzsteve
24th March 2012, 12:28
Not sure if this is a clue or not I ran the sysinfo and it shows the Elbox board but no pci cards anyone any idea's on that?

You sure it's not jumper settings? You really need to read a copy of the manual - I have a few pages scanned that a friend done for me I'll see if I can get them to you :)

cugar124
24th March 2012, 12:38
Steve its more than Likely with me LOL

I have it set to:

Memory window 8MB
Config OPEN
Wait Closed

johnim
24th March 2012, 15:29
here is the mediator manual

http://buy.elbox.com/ma/Mediator_PCI_1200_UM.pdf

MEMORY WINDOW

Set 0 MB If you use 8MB of RAM installed in the memory expansion or in the turbo card
configuring this memory in the lower boundary (e.g. M-TEC 1230 turbo card).

Set 4 MB If you use 4MB of RAM installed in the memory expansion or in the turbo card
configuring this memory in the lower boundary (e.g. M-TEC 1230 turbo card) or if you use the 4 MB
PCMCIA memory expansion.

Set 8 MB If you use 8 MB or more RAM installed in the turbo card configuring this
memory in the higher boundary (all the turbo cards for which more than 8MB Fast RAM may be
installed e.g. Apollo 1230, Apollo 1240, Apollo 1260, Blizzard 1230, Blizzard 1240, Blizzard 1260,
Blizzard PPC, Elbox 1230-II).

CONFIG Set CLOSED If you use A1200 with the memory expansion, M-Tec 1230,
Elbox 1230, GVP
1230, Apollo 1230, Apollo 1240, Apollo
1260, old Blizzard cards.

Set OPEN If you use A1200 with the empty expansion slot, Blizzard 1230-IV, Blizzard
1240, Blizzard 1260, Blizzard PPC.

WAIT OPEN For all known turbo/memory expansion cards (default
setting).

CLOSED Currently not used.



so WAIT should be open



also use medication to see if cards are shown

http://aminet.net/package/driver/other/Medication

cugar124
24th March 2012, 18:22
This is driving me Nutts LOL OK got OS4.0 to boot from the first install, but as soon as I load the update all I get is a blank screen.

I have the jumpers set I just can't understand why it runs (all be it with no Mediator support) then I update it and it just sits at a blank screen after.


:Doh::Doh::Doh::Doh:

Cheers guys for all your help so far

Hi John the medication program finds all my cards Yay

johnim
24th March 2012, 19:24
you are switching between video outputs

the amiga will only show on videocard when it is configured

so will show on composit and rgb port untill its done

fitzsteve
24th March 2012, 19:30
Actually I think OS4 will show 640x480 via the Voodoo by default, and then you get a blank screen out of the RGB. Have you checked that you get any output from the Voodoo?

roy_bates
24th March 2012, 21:15
pci cards dont show in sysinfo only the busboard shows because the busboard is on the zorro bus.


open cli or shell and type in c: then tap enter
then type in pciinfo and tap enter again
you will now see a list of all the pci cards in your system.

cugar124
25th March 2012, 13:44
Hi Guys
Just reinstalling it again to try the outputs the Voodoo works great with OS3.9.

thanks for the info on Sysinfo. I tried the PCIINFO command OS4.0 does not seem to understand that still wondering if loading the drivers from the Mediator CD might help!!

Al

roy_bates
25th March 2012, 14:22
the pciinfo command is for 68k cpu's sorry,it wont work on ppc cpu's

cugar124
25th March 2012, 21:00
Well that's the 8th or so re install and still the same as soon as I do the update the roms load then no disk activity.:thumbsdown:

Bamiga2002
26th March 2012, 10:54
Did you power off the miggy after the update? Otherwise the old modules still in memory will most propably cause problems.

EDIT: sorry read that you gave it a cold start. I'm afraid the LT4 Mediator model isn't co-operating with OS 4.0 properly as I have experience of this also (no chance with LT4). I got it working *after* I upgraded to Mediator TX.